commit:     54f1cbd43e29222a146bdccaa3e744e83f522b41
Author:     Zero_Chaos <zerochaos <AT> gentoo <DOT> org>
AuthorDate: Wed Nov 21 15:57:03 2018 +0000
Commit:     Rick Farina <zerochaos <AT> gentoo <DOT> org>
CommitDate: Wed Nov 21 18:20:47 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=54f1cbd4

dev-ruby/metasploit-payloads:  bump

Package-Manager: Portage-2.3.52, Repoman-2.3.12
Signed-off-by: Rick Farina <zerochaos <AT> gentoo.org>

 dev-ruby/metasploit-payloads/Manifest              |  1 +
 .../metasploit-payloads-1.3.53.ebuild              | 44 ++++++++++++++++++++++
 2 files changed, 45 insertions(+)

diff --git a/dev-ruby/metasploit-payloads/Manifest 
b/dev-ruby/metasploit-payloads/Manifest
index d9cca809ba9..f3c682d94f5 100644
--- a/dev-ruby/metasploit-payloads/Manifest
+++ b/dev-ruby/metasploit-payloads/Manifest
@@ -1,2 +1,3 @@
 DIST metasploit-payloads-1.2.24.gem 13022720 BLAKE2B 
4e28598ca5934e44009179e792d80dc7b580a69d4e2579d1d03a06eed9571a935607bc7949737cea053ddf7371a46ecbe5906e3e9c7f1486347bc8e7cb56294e
 SHA512 
d27072c039b8cd6b438417d1c3fccc1c4559b82c07101ee90dfdb74c958861e57113e73a2351ac2a73ab36fe2b3157319910d8743363cdbcdedc5117636fd982
 DIST metasploit-payloads-1.2.28.gem 11547648 BLAKE2B 
e3511386c271c4925becd844dcf58d679eea3745249bb875cb557334c71ad0154de6908994e1e0bfaab69aba457eb8e31650d23111576829d90dc3ba82ff7426
 SHA512 
73a392df7f2eb082099da2017357d6a3231ee6266781d94be37067cf86c9b8e21d91b5cfdb1f810728a42dc748a9c4729d5f97926a88547af8d658e105a5dcb5
+DIST metasploit-payloads-1.3.53.gem 12161024 BLAKE2B 
a98c24faeba68cc00240324235bfc887c31dde4240ee37a1decd38c0738a0ffdad9dbe2b3e6026dc99c4299e38025d3aa13a39589b948950d83ac9f69b6baa49
 SHA512 
698f91348ebcb2e0a74b506f391fa7eded7c5974821d283ce4890a8c63472db891c8837ef2f67fbe27996e72ec09ecbb4c32721311d57ab6633e5ed2fd426769

diff --git a/dev-ruby/metasploit-payloads/metasploit-payloads-1.3.53.ebuild 
b/dev-ruby/metasploit-payloads/metasploit-payloads-1.3.53.ebuild
new file mode 100644
index 00000000000..66b34890ecd
--- /dev/null
+++ b/dev-ruby/metasploit-payloads/metasploit-payloads-1.3.53.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+USE_RUBY="ruby24"
+
+RUBY_FAKEGEM_TASK_DOC=""
+
+RUBY_FAKEGEM_EXTRAINSTALL="data"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Compiled binaries for Metasploit's Meterpreter"
+HOMEPAGE="https://rubygems.org/gems/metasploit-payloads";
+
+LICENSE="BSD"
+
+SLOT="${PV}"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE=""
+
+#no tests
+RESTRICT="test strip"
+
+QA_PREBUILT="
+       
usr/lib*/ruby/gems/*/gems/${PN}-${SLOT}/data/meterpreter/msflinker_linux_x86.bin
+       
usr/lib*/ruby/gems/*/gems/${PN}-${SLOT}/data/meterpreter/ext_server_sniffer.lso
+       
usr/lib*/ruby/gems/*/gems/${PN}-${SLOT}/data/meterpreter/ext_server_networkpug.lso
+       
usr/lib*/ruby/gems/*/gems/${PN}-${SLOT}/data/meterpreter/ext_server_stdapi.lso
+       
usr/lib*/ruby/gems/*/gems/${PN}-${SLOT}/data/android/libs/armeabi/libndkstager.so
+       
usr/lib*/ruby/gems/*/gems/${PN}-${SLOT}/data/android/libs/mips/libndkstager.so
+       
usr/lib*/ruby/gems/*/gems/${PN}-${SLOT}/data/android/libs/x86/libndkstager.so
+       "
+
+src_install() {
+       ruby-ng_src_install
+       #tell revdep-rebuild to ignore binaries meant for the target
+       dodir /etc/revdep-rebuild
+       cat <<-EOF > "${ED}"/etc/revdep-rebuild/99-${PN}-${SLOT} || die
+               #These dirs contain prebuilt binaries for running on the TARGET 
not the HOST
+               
SEARCH_DIRS_MASK="/usr/lib*/ruby/gems/*/gems/${PN}-${SLOT}/data/android/libs"
+       EOF
+}

Reply via email to